%define major		%{version}
%define libname		%mklibname opal %{major}
%define develname	%mklibname %{name} -d

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%if %mdvver >= 201100
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif
%endif

%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	VoIP library
Name:		opal3
Version:	3.10.2
Release:	2%{?extrarelsuffix}
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/opal/%{url_ver}/opal-%{version}.tar.xz
Patch0:		opal-3.10.1-fix-link.patch
Patch2:		opal-3.10.2-ffmpeg0.8.patch
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	ptlib-devel >= 2.10.2
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
BuildRequires:	ffmpeg-devel
%if %build_plf
BuildRequires:	x264-devel
%endif
BuildRequires:	celt-devel >= 0.7.0

%description
This is an open source class library for the development of
applications that wish to use SIP / H.323 protocols for multimedia
communications over packet based networks.

%if %build_plf
This package is in PLF because the H264 codec is covered by patents.
%endif

%package -n	%{libname}-plugins
Summary:	Codec plugins for Opal
Group:		System/Libraries
Provides:	%{name}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3}-plugins < 3.4.1-2mdv

%description -n	%{libname}-plugins
PTlib codec plugins for various formats provided by Opal.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3} < 3.4.1-2mdv

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname opal -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep
%setup -q -n opal-%{version}
%patch0 -p0 -b .link
%patch2 -p0 -b .ffmpeg

%build
#gw don't use the default %%optflags, see
# https://qa.mandriva.com/show_bug.cgi?id=48476
%define optflags %nil
#gw else the UINT64_C macro is not defined by stdint.h
export STDCCFLAGS=-D__STDC_CONSTANT_MACROS
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove incorrect symlinks (http://bugzilla.gnome.org/show_bug.cgi?id=553808 )
rm -f %{buildroot}%{_libdir}/libopal.so.?
rm -f %{buildroot}%{_libdir}/libopal.so.?.?

%files -n %{libname}
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{libname}-plugins
%{_libdir}/opal-%{version}/codecs/audio/*
%{_libdir}/opal-%{version}/codecs/video/*

%files -n %{develname}
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/opal.pc


%changelog
* Thu Feb 23 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.10.2-2
+ Revision: 779907
- rebuild

* Tue Nov 08 2011 Andrey Bondrov <abondrov@mandriva.org> 3.10.2-1
+ Revision: 728999
- New version 3.10.2

* Wed Sep 07 2011 Andrey Bondrov <abondrov@mandriva.org> 3.6.8-7
+ Revision: 698526
- Add patch 1 to fix build against new celt

* Fri May 20 2011 Götz Waschk <waschk@mandriva.org> 3.6.8-6
+ Revision: 676303
- add extrarelsuffix for plf

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 3.6.8-5
+ Revision: 666943
- mass rebuild

* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 3.6.8-4
+ Revision: 650177
- update linking patch

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 3.6.8-3
+ Revision: 649695
- libilbc is in contrib now
- fix linakge

* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 3.6.8-2mdv2011.0
+ Revision: 612286
- rebuild without celt, 0.9.1 is not supported

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 3.6.8-1mdv2011.0
+ Revision: 552112
- fix build
- new version
- drop patch
- bump ptlib dep

* Wed May 05 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-8mdv2010.1
+ Revision: 542339
- rebuild

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.6.6-7mdv2010.1
+ Revision: 533300
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.6-6mdv2010.1
+ Revision: 511600
- rebuilt against openssl-0.9.8m

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-5mdv2010.1
+ Revision: 497058
- rebuild for new celt

* Sat Jan 23 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-4mdv2010.1
+ Revision: 495216
- rebuild

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-3mdv2010.1
+ Revision: 475965
- rebuild

* Mon Nov 09 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-2mdv2010.1
+ Revision: 463550
- fix compilation with new celt

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-1mdv2010.0
+ Revision: 447473
- new version

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 3.6.4-1mdv2010.0
+ Revision: 393330
- new version
- drop patch

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 3.6.2-2mdv2010.0
+ Revision: 377935
- fix for gcc 4.4

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 3.6.2-1mdv2010.0
+ Revision: 377717
- update to new version 3.6.2

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-3mdv2009.1
+ Revision: 357310
- really disable optmization

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-2mdv2009.1
+ Revision: 357303
- disable optimization (bug #48476)

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-1mdv2009.1
+ Revision: 357189
- new version
- bump ptlib dep

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-3mdv2009.1
+ Revision: 354221
- disable stack align option again

* Sun Mar 08 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-2mdv2009.1
+ Revision: 352997
- enable stack align hack for ffmpeg

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-1mdv2009.1
+ Revision: 347632
- new version
- drop patch
- enable celt support
- bump ptlib dep

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-3mdv2009.1
+ Revision: 332437
- fix h263 plugin with our ffmpeg

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 326524
- add support for building with x264

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 325479
- new version
- patch for new ffmpeg

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 3.4.2-1mdv2009.1
+ Revision: 295971
- new version
- new major
- bump deps
- fix source URL

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.0
+ Revision: 288199
- don't package incorrect major / minor version symlinks
- obsolete incorrect major packages
- major should be 3.4.1, not 3 (per SONAME and upstream)

* Tue Sep 23 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 287507
- adjust file list for yet another new codec layout
- use correct optflags
- drop both configure flags: one doesn't exist any more and the other was
  incorrect, we want to use system not local speex
- bump the ptlib-devel buildrequire (doesn't build with 2.3.1)
- drop pthread.patch (can't reliably maintain it while underlinking protection
  is disabled)
- disable underlinking protection (it now breaks all the ptlib checks)
- new release 3.4.1

* Tue Sep 02 2008 Adam Williamson <awilliamson@mandriva.org> 3.3.1-1mdv2009.0
+ Revision: 279341
- pkgconfig file's going to libdir now, not prefix/lib
- adjust file list
- update ptlib br
- add pthread.patch to 'fix' (see comment in spec) an underlinking issue
- new release 3.3.1 (from gnome.org)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 206814
- drop libname.patch (no longer needed)
- new release 3.2.0

* Sun Dec 30 2007 Adam Williamson <awilliamson@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 139479
- import opal3


